Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] gentoolkit-0.3.0.6-r3: realpath/coreutils conflict
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
wcg
Guru
Guru


Joined: 06 Jan 2009
Posts: 588

PostPosted: Mon Aug 20, 2012 7:04 am    Post subject: [SOLVED] gentoolkit-0.3.0.6-r3: realpath/coreutils conflict Reply with quote

The gentoolkit-0.3.0.6-r3 ebuild (marked stable for amd64)
is depending on both realpath and >=coreutils-8.15, but
the coreutils-8.1[56] ebuilds both say that those versions of
coreutils cannot be installed at the same time as realpath.
(I assume that is true for ebuilds for newer than 8.16 versions
of coreutils as well, but I have not actually checked.)

So, how to proceed? The obvious thing is to ignore coreutils-8.16
in the "emerge -DuNp system" output, ie leave it with 8.14 installed,
but how does this affect gentoolkit? Does it really need >=coreutils-8.15?
What happens if it continues to run with coreutils-8.14? What
potentially blows up?

(Both gentoolkit and eselect depend on realpath, so I assume that
leaving that uninstalled is not really a useful option.)
_________________
TIA


Last edited by wcg on Thu Oct 11, 2012 5:16 pm; edited 1 time in total
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2541
Location: Richmond, BC, Canada

PostPosted: Mon Aug 20, 2012 2:27 pm    Post subject: Reply with quote

No, you got the dependencies wrong for gentoolkit and eselect.

Code:
|| ( >=sys-apps/coreutils-8.15 app-misc/realpath sys-freebsd/freebsd-bin )


Those are "ANY of" deps, so any one of those satisfies the gentoolkit and eselect dep.

FYI I have only coreutils installed on my system.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
wcg
Guru
Guru


Joined: 06 Jan 2009
Posts: 588

PostPosted: Mon Aug 20, 2012 3:47 pm    Post subject: Reply with quote

Ok, thanks. That simplifies things.
_________________
TIA
Back to top
View user's profile Send private message
UlFie
n00b
n00b


Joined: 01 Nov 2011
Posts: 21
Location: Wuppertal

PostPosted: Tue Aug 21, 2012 9:15 am    Post subject: Reply with quote

... but how do I fix that?

After an `emerge --sync', `emerge -vpuDN' tells me (among others):
Code:
[ebuild     U  ] sys-apps/coreutils-8.16 [8.14] USE="acl caps nls -gmp (-selinux) -static -unicode -vanilla -xattr" 4,930 kB
[uninstall     ] app-misc/realpath-1.16  USE="nls"
[blocks b      ] app-misc/realpath ("app-misc/realpath" is blocking sys-apps/coreutils-8.16)

and `equery d realpath' says:
Code:
 * These packages depend on realpath:
app-admin/eselect-1.3.1 (app-misc/realpath)
app-portage/gentoolkit-0.3.0.6-r3 (app-misc/realpath)


Looking at the ebuilds for these two I understand that (as explained above) their dependencies would be satisfied if realpath is removed and coreutils-8.16 installed. I guess that would at least require these two to be re-emerged (after removing realpath and upgrading coreutils), but exactly what sequence of emerge calls would I need? Both `emerge -c realpath' and `emerge -uDN coreutils' as first steps fail (the latter because of the block, the former simply does nothing because of the currently existing dependencies)!

EDIT: Should have mentioned this is a stable amd64 system.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2244

PostPosted: Tue Aug 21, 2012 10:26 am    Post subject: Reply with quote

UlFie wrote:
Both `emerge -c realpath' and `emerge -uDN coreutils' as first steps fail (the latter because of the block, the former simply does nothing because of the currently existing dependencies)!

UIFie ... '-c' (lower case) is --depclean, you require '-C' (uppercase) which is --unmerge.

best ... khay
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2541
Location: Richmond, BC, Canada

PostPosted: Tue Aug 21, 2012 2:43 pm    Post subject: Reply with quote

UlFie When looking at emerge -p output. The small "b" blocks can be resolved by emerge automatically. The output you posted said as much.
Code:
[uninstall     ] app-misc/realpath-1.16  USE="nls"


It is the Capital "B" blocks that need manual action to fix.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
UlFie
n00b
n00b


Joined: 01 Nov 2011
Posts: 21
Location: Wuppertal

PostPosted: Tue Aug 21, 2012 10:01 pm    Post subject: Reply with quote

Thank you very much for clarifying that. I must have missed this detail when reading the man page for emerge. The last line of output of `emerge -vpuDN' (not quoted above) said there was a block, so I didn't even try `the real thing'. And `emerge -C' gives me so many warnings that I'd rather not use it. Again, thank you.
Back to top
View user's profile Send private message
natanver
n00b
n00b


Joined: 17 Jul 2012
Posts: 13

PostPosted: Wed Oct 10, 2012 8:58 am    Post subject: Reply with quote

How to proceed when you have a capital "B" block ?


Quote:

[blocks B ] app-misc/realpath ("app-misc/realpath" is blocking sys-apps/coreutils-8.16)

<snip>

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-apps/coreutils-8.16::gentoo, ebuild scheduled for merge) pulled in by
>=sys-apps/coreutils-8.15 required by (app-portage/gentoolkit-0.3.0.6-r3::gentoo, installed)
sys-apps/coreutils required by @system
>=sys-apps/coreutils-6.4 required by (sys-apps/portage-2.1.11.9::gentoo, installed)
>=sys-apps/coreutils-6.10-r1 required by (sys-apps/debianutils-4.3.2::gentoo, ebuild scheduled for merge)
sys-apps/coreutils required by (app-admin/eselect-1.3.1::gentoo, installed)

(app-misc/realpath-1.16::gentoo, installed) pulled in by
app-misc/realpath required by @selected


How can this be fixed ?
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2244

PostPosted: Wed Oct 10, 2012 9:25 am    Post subject: Reply with quote

natanver wrote:
[blocks B ] app-misc/realpath ("app-misc/realpath" is blocking sys-apps/coreutils-8.16)

natanver ... unmerge app-misc/realpath and then emerge --update --oneshot sys-apps/coreutils.

best ... khay
Back to top
View user's profile Send private message
natanver
n00b
n00b


Joined: 17 Jul 2012
Posts: 13

PostPosted: Wed Oct 10, 2012 12:13 pm    Post subject: Reply with quote

So, gentoolkit and eselect no longer depend on app-misc/realpath ?

I suppose the functionality is now provided by the new version of coreutils. Correct ?

Thanks,

Natan
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2244

PostPosted: Wed Oct 10, 2012 12:39 pm    Post subject: Reply with quote

natanver wrote:
I suppose the functionality is now provided by the new version of coreutils. Correct?

natanver ... correct

Code:
# equery belongs /usr/bin/realpath
 * Searching for /usr/bin/realpath ...
sys-apps/coreutils-8.16 (/usr/bin/realpath)

best ... khay
Back to top
View user's profile Send private message
natanver
n00b
n00b


Joined: 17 Jul 2012
Posts: 13

PostPosted: Wed Oct 10, 2012 6:58 pm    Post subject: Reply with quote

thanks khay, you are great !
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2244

PostPosted: Thu Oct 11, 2012 6:05 am    Post subject: Reply with quote

natanver wrote:
thanks khay, you are great !

natanver ... you're welcome. You should now mark the thread as "[SOLVED]".

best ... khay
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2541
Location: Richmond, BC, Canada

PostPosted: Thu Oct 11, 2012 7:31 am    Post subject: Reply with quote

He/She can't, that is reserved by the forums deities or the original poster.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum